<template>
<div>
 <div id="chart">
        <apexchart ref="chart" type="area" width="1000" height="750" :options="chartOptions" :series="series"></apexchart>
      </div>
      <div v-if="chr">
        <loader></loader>

      </div>
      </div>
    
</template>

<script>
import {httpClient} from '../api/httpclient'
import VueApexCharts from 'vue-apexcharts'
import Axios from 'axios'
import loader from "./loader.vue"

export default {
  props:['datum',"sec","subSec"],
  name: 'Chart',
  components: {
    apexchart: VueApexCharts,
    loader,
  },
   data(){
       return {
         chr:false,
           list:[],
         series: [{
    data: [],
}],
xaxis: {
  type: 'category'
},

          chartOptions: {
            chart: {
              width:"100%",
              type: 'line',
              zoom: {
                enabled: false
              }
            },
            dataLabels: {
              enabled: false
            },
            stroke: {
              curve: 'straight'
            },
            title: {
              text: 'Articles by day',
              align: 'left'
            },
            grid: {
              row: {
                colors: ['#f3f3f3', 'transparent'], // takes an array which will be repeated on columns
                opacity: 0.5
              },
            },
          },
          
          
    } },
    mounted(){
      this.getData()
    },
        methods:{
            getData(){
              this.chr=true
                httpClient.post("/articles/section/subsection/daily_article_count/",{
                date: this.datum,
                section: this.sec,
                subsection: this.subSec
            })
                .then((resp)=>{
                    this.list = resp.data.daily_article_count;
                    console.log(this.list) 
                    if(this.$refs.chart){
                    this.$refs.chart.updateSeries([{
                    data: this.list
                   
                      }])}
                       console.log(this.datum,this.sec,this.subSec);
                       this.chr=false
                })
            }
        }
      
}
</script>